Debian Bug report logs - #566912
dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?

version graph

Package: dictionaries-common; Maintainer for dictionaries-common is Agustin Martin Domingo <agmartin@debian.org>; Source for dictionaries-common is src:dictionaries-common.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 25 Jan 2010 21:27:01 UTC

Severity: important

Found in version dictionaries-common/1.4.0

Fixed in version dictionaries-common/1.5.1

Done: Agustin Martin Domingo <agmartin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Mon, 25 Jan 2010 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Mon, 25 Jan 2010 21:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Mon, 25 Jan 2010 22:23:31 +0100
Package:  dictionaries-common
Version:  1.4.0
Severity: important
User:     debian-edu@lists.debian.org
UserTags: debian-edu

I discovered this issue when testing Debian Edu based on Squeeze,
where we want to avoid as many questions as possible during
installation, and the wordlist setting showed up with a good default.
This was the only question asked during package installation, and it
is hard to preseed when we support several langauges.  Is there a way
to avoid this question during a installation what depend on the
language selection in debian-installer to pick good defaults for
language related packages.

Why is the wordlist question asked using debconf priority 'critical'
and not 'high'?  By using 'high' it will be shown in the normal debian
installation run (which set the debconf priority limit to 'high'),
while it is still possible to avoid it by setting the limit to
'critical'.

I found this block in the code in
/usr/share/dictionaries-common/dc-debconf-select.pl:

  # Read current value of default ispell dict / wordlist. No need to have
  # critical priority if is in the new list or set to manual. Otherwise
  # ask with critical priority, name for current value is changed or
  # something wrong happened.
  my $curval  = get ($question) || "undefined";
  unless ( $priority ){
    if ( $curval =~ /^Manual.*/ or exists $newchoices{$curval} ){
      $priority = "medium";     #
    } else {
      $priority = "critical"; # No good value, ask. Do not change!!
    }
  }

I would expect 'high' to be better priority for the wordlist question.
After all, the system will run fine with any setting as far as I
know. :)

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Tue, 26 Jan 2010 10:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Tue, 26 Jan 2010 10:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Tue, 26 Jan 2010 11:51:56 +0100
On Mon, Jan 25, 2010 at 10:23:31PM +0100, Petter Reinholdtsen wrote:
> 
> Package:  dictionaries-common
> Version:  1.4.0
> Severity: important
> User:     debian-edu@lists.debian.org
> UserTags: debian-edu
> 
> I discovered this issue when testing Debian Edu based on Squeeze,
> where we want to avoid as many questions as possible during
> installation, and the wordlist setting showed up with a good default.
> This was the only question asked during package installation, and it
> is hard to preseed when we support several langauges.  Is there a way
> to avoid this question during a installation what depend on the
> language selection in debian-installer to pick good defaults for
> language related packages.
> 
> Why is the wordlist question asked using debconf priority 'critical'
> and not 'high'?  By using 'high' it will be shown in the normal debian
> installation run (which set the debconf priority limit to 'high'),
> while it is still possible to avoid it by setting the limit to
> 'critical'.
> 
> I found this block in the code in
> /usr/share/dictionaries-common/dc-debconf-select.pl:
> 
>   # Read current value of default ispell dict / wordlist. No need to have
>   # critical priority if is in the new list or set to manual. Otherwise
>   # ask with critical priority, name for current value is changed or
>   # something wrong happened.
>   my $curval  = get ($question) || "undefined";
>   unless ( $priority ){
>     if ( $curval =~ /^Manual.*/ or exists $newchoices{$curval} ){
>       $priority = "medium";     #
>     } else {
>       $priority = "critical"; # No good value, ask. Do not change!!
>     }
>   }
> 
> I would expect 'high' to be better priority for the wordlist question.
> After all, the system will run fine with any setting as far as I
> know. :)

Actual default priority during installation is 'medium'. 'Critical'
priority should only be used when current selected value is not available, 
that is an error that needs recovery.

You should not need to pre-seed anything, language will be automagically 
selected from debian-installer/language and debian-installer/country values
in a language_exact_match/language_generic_match/english/nothing basis from
the to be installed stuff.

Can you please provide this info:

 - pre-seeded value.
 - debian-installer/language
 - debian-installer/country
 - Wordlists to be installed

Thanks in advance,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Tue, 26 Jan 2010 11:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Tue, 26 Jan 2010 11:45:12 GMT) Full text and rfc822 format available.

Message #15 received at 566912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Tue, 26 Jan 2010 12:44:02 +0100
[Agustin Martin]
> Actual default priority during installation is 'medium'. 'Critical'
> priority should only be used when current selected value is not
> available, that is an error that needs recovery.

Why does it need to be critical?  Why isn't it enough to to use
priority high for this question?  The question do not seem to match
the definition of critical in debconf-devel(7):

  critical - Items that will probably break the system without user intervention.

medium or high seem more fitting.  They have this definition:

  medium   - Normal items that have reasonable defaults.
  high     - Items that don't have a reasonable default.

> You should not need to pre-seed anything, language will be
> automagically selected from debian-installer/language and
> debian-installer/country values in a
> language_exact_match/language_generic_match/english/nothing basis
> from the to be installed stuff.

Good.  Something do not work quite right, then.

> Can you please provide this info:
> 
>  - pre-seeded value.

As far as I know, nothing was preseeded.

>  - debian-installer/language
>  - debian-installer/country

tjener:~# debconf-get-selections --installer |grep debian-installer/country
d-i     debian-installer/country        string  NO
tjener:~# debconf-get-selections --installer |grep debian-installer/language
d-i     debian-installer/language       string  nb_NO:nb:no_NO:no:nn_NO:nn:da:sv:en
tjener:~#

>  - Wordlists to be installed

Only wnorwegian, I believe.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Wed, 27 Jan 2010 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Wed, 27 Jan 2010 14:45:06 GMT) Full text and rfc822 format available.

Message #20 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Wed, 27 Jan 2010 15:43:52 +0100
On Tue, Jan 26, 2010 at 12:44:02PM +0100, Petter Reinholdtsen wrote:
> [Agustin Martin]
> > Actual default priority during installation is 'medium'. 'Critical'
> > priority should only be used when current selected value is not
> > available, that is an error that needs recovery.
> 
> Why does it need to be critical?  Why isn't it enough to to use
> priority high for this question?  The question do not seem to match
> the definition of critical in debconf-devel(7):
> 
>   critical - Items that will probably break the system without user intervention.
> 
> medium or high seem more fitting.  They have this definition:
> 
>   medium   - Normal items that have reasonable defaults.
>   high     - Items that don't have a reasonable default.

That 'critical' priority is mostly maintainer intended, not user intended. 
It only intends to say that something is wrong and encourage bugs to be 
reported (like now). Users should not suffer that priority unless bugs are 
hidden. In normal installations from scratch actual priority will be even
lower ('low')

> > You should not need to pre-seed anything, language will be
> > automagically selected from debian-installer/language and
> > debian-installer/country values in a
> > language_exact_match/language_generic_match/english/nothing basis
> > from the to be installed stuff.
> 
> Good.  Something do not work quite right, then.
> 
> > Can you please provide this info:
> > 
> >  - pre-seeded value.
> 
> As far as I know, nothing was preseeded.
> 
> >  - debian-installer/language
> >  - debian-installer/country
> 
> tjener:~# debconf-get-selections --installer |grep debian-installer/country
> d-i     debian-installer/country        string  NO
> tjener:~# debconf-get-selections --installer |grep debian-installer/language
> d-i     debian-installer/language       string  nb_NO:nb:no_NO:no:nn_NO:nn:da:sv:en

Thanks for the info.

I have re-checked the selection mechanism in an already installed box and
works as expected. 

However, I have also checked installation from scratch in a pbuilder sid
box, and I reproduced the problem there, because apt-utils was not present. 
I did not add an explicit dependency on apt-utils because although not
essential, it was part of the base system, but may be Debian-edu base 
system is different.

Is apt-utils installed in that box?

Installing apt-utils in the same run as dictionaries-common and wnorwegian
will not suffice, because things are done in the pre-configuration stage, 
and it needs a fully previously installed apt-utils to not be skipped, so 
a dependency may not be enough.

Doing everything in the configuration stage is another approach, but I have
to think about it.

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Wed, 27 Jan 2010 16:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Wed, 27 Jan 2010 16:06:12 GMT) Full text and rfc822 format available.

Message #25 received at 566912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Wed, 27 Jan 2010 17:05:30 +0100
[Agustin Martin]
> That 'critical' priority is mostly maintainer intended, not user intended. 

Still, the question at most meet the debconf definition for pirority
high.

> Is apt-utils installed in that box?

Yes.  apt-utils were installed by debootstrap before debian-installer
started installing the tasksel tasks including wnorwegian.

> Installing apt-utils in the same run as dictionaries-common and
> wnorwegian will not suffice, because things are done in the
> pre-configuration stage, and it needs a fully previously installed
> apt-utils to not be skipped, so a dependency may not be enough.

There must be something else going wrong with my installation.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Wed, 27 Jan 2010 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Wed, 27 Jan 2010 18:57:06 GMT) Full text and rfc822 format available.

Message #30 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Wed, 27 Jan 2010 19:54:47 +0100
On Wed, Jan 27, 2010 at 05:05:30PM +0100, Petter Reinholdtsen wrote:
> [Agustin Martin]
> > That 'critical' priority is mostly maintainer intended, not user intended. 
> 
> Still, the question at most meet the debconf definition for pirority
> high.

It needs to be higher that the normal priority, so people know of problems
like this one. I agree that 'critical' is probably too high now, but I put
it there to make sure problems were loud. Will think about using 'high'.
Hope people still file bug reports in case of problems instead of just
changing debconf threshold and getting the first alphabetic match as
selection.

> There must be something else going wrong with my installation.

Did that happened with other languages like nynorsk, in the same wnorwegian
package?

If you are going to try a new test installation, you may want to make the
dictionary selection more verbose. For pre-lenny (This is from 2006, I 
expect this to work for squeeze too), this was the process to debug 
dictionaries-common behavior during its first pre-configuration when 
running debian-installer. You need to run debian-installer in expert 
mode. Open a shell and near the top of

   /var/lib/dpkg/info/pkgsel.postinst

add

   export DICT_COMMON_DEBUG=1

This way, you should get debugging info in the syslog for the
dictionaries-common installation.

If the problem is reproduced, that may give us information.

Thanks a lot for your feedback,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Sat, 30 Jan 2010 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Sat, 30 Jan 2010 10:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 566912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Sat, 30 Jan 2010 11:13:35 +0100
[Agustin Martin]
> Did that happened with other languages like nynorsk, in the same
> wnorwegian package?

I did not try so far.

> If the problem is reproduced, that may give us information.

I added DICT_COMMON_DEBUG=1 to the installation, and got these
dictionary-common related messages in the installation syslog.  I hope
this help.

[...]
Jan 29 21:15:39 in-target: Forhåndsoppsetter pakker ...
Jan 29 21:15:39 in-target: dictionaries-common: (re)configuring ...
Jan 29 21:15:39 in-target: LANG is set to nb_NO.UTF-8
Jan 29 21:15:39 in-target: ** dc_debconf_select: ispell, critical, dictionaries-common/default-ispell
Jan 29 21:15:39 in-target:    new choices:[]
Jan 29 21:15:39 in-target:    old choices:[]
Jan 29 21:15:39 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-ispell
Jan 29 21:15:39 in-target:    Real new Choices-C: , Manual symlinks setting
Jan 29 21:15:39 in-target:    Real new value: bokmål (Bokmal Norwegian)
Jan 29 21:15:39 in-target: ---
Jan 29 21:15:39 in-target: ** dc_debconf_select: wordlist, critical, dictionaries-common/default-wordlist
Jan 29 21:15:39 in-target:    new choices:[]
Jan 29 21:15:39 in-target:    old choices:[]
Jan 29 21:15:39 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-wordlist
Jan 29 21:15:39 in-target:    Real new Choices-C: , Manual symlinks setting
Jan 29 21:15:39 in-target:    Real new value: 
Jan 29 21:15:39 in-target: ---
Jan 29 21:15:39 in-target: dictionaries-common: (re)configuring ...Done.
Jan 29 21:15:40 in-target: Hentet 99,1MB på 2min 33s (643kB/s)
Jan 29 21:15:40 in-target: Velger den tidligere fravalgte pakken x11-common.
[...]
Jan 29 21:15:49 in-target: Pakker ut libaspell15 (fra .../libaspell15_0.60.6-2_i386.deb) ...
Jan 29 21:15:49 in-target: Velger den tidligere fravalgte pakken dictionaries-common.
Jan 29 21:15:49 in-target: Pakker ut dictionaries-common (fra .../dictionaries-common_1.4.0_all.deb) ...
Jan 29 21:15:49 in-target: Legger til «diversion of /usr/share/dict/words to /usr/share/dict/words.pre-dictionaries-common by dictionaries-common»
Jan 29 21:15:49 in-target: Velger den tidligere fravalgte pakken aspell.
[...]
Jan 29 21:16:45 in-target: Setter opp libaspell15 (0.60.6-2) ...
Jan 29 21:16:45 in-target: Setter opp dictionaries-common (1.4.0) ...
Jan 29 21:16:45 in-target: dictionaries-common: (re)configuring ...
Jan 29 21:16:45 in-target: ** dc_debconf_select: ispell, critical, dictionaries-common/default-ispell
Jan 29 21:16:45 in-target:    new choices:[]
Jan 29 21:16:45 in-target:    old choices:[]
Jan 29 21:16:45 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-ispell
Jan 29 21:16:45 in-target:    Real new Choices-C: , Manual symlinks setting
Jan 29 21:16:45 in-target:    Real new value: bokmål (Bokmal Norwegian)
Jan 29 21:16:45 in-target: ---
Jan 29 21:16:45 in-target: ** dc_debconf_select: wordlist, critical, dictionaries-common/default-wordlist
Jan 29 21:16:45 in-target:    new choices:[]
Jan 29 21:16:45 in-target:    old choices:[]
Jan 29 21:16:45 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-wordlist
Jan 29 21:16:45 in-target:    Real new Choices-C: , Manual symlinks setting
Jan 29 21:16:45 in-target:    Real new value: 
Jan 29 21:16:45 in-target: ---
Jan 29 21:16:45 in-target: dictionaries-common: (re)configuring ...Done.
Jan 29 21:16:45 in-target: update-default-ispell: No ispell elements installed. Manual forced
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en-common]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en-variant_0]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en-variant_1]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en-variant_2]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_CA-w_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_CA-wo_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_GB-ise-w_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_GB-ise-wo_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_GB-ize-w_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_GB-ize-wo_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_US-w_accents-only]
Jan 29 21:16:46 in-target: aspell-autobuildhash: processing: en [en_US-wo_accents-only]
Jan 29 21:16:47 in-target: Setter opp aspell (0.60.6-2) ...
[...]
Jan 29 22:07:17 in-target: Forhåndsoppsetter pakker ...
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[]
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:19 in-target:  * Packages with elanguages: 
Jan 29 22:07:19 in-target: - Choices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: - Echoices:
Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:20 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:20 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:20 in-target:  * Packages with elanguages: 
Jan 29 22:07:20 in-target: - Choices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: - Echoices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:20 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:20 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:20 in-target:  * Packages with elanguages: 
Jan 29 22:07:20 in-target: - Choices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: - Echoices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:20 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:20 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:20 in-target:  * Packages with elanguages: 
Jan 29 22:07:20 in-target: - Choices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: - Echoices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:20 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:20 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:20 in-target:  * Packages with elanguages: 
Jan 29 22:07:20 in-target: - Choices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: - Echoices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 22:07:20 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:20 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 22:07:20 in-target:  * Packages with elanguages: 
Jan 29 22:07:20 in-target: - Choices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: - Echoices:
Jan 29 22:07:20 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: ** dc_debconf_select: wordlist, critical, dictionaries-common/default-wordlist
Jan 29 22:07:20 in-target:    new choices:[bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
Jan 29 22:07:20 in-target:    old choices:[]
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
Jan 29 22:07:20 in-target:  * Packages with languages: wnorwegian
Jan 29 22:07:20 in-target:  * Packages with elanguages: 
Jan 29 22:07:20 in-target: - Choices:
Jan 29 22:07:20 in-target: [bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
Jan 29 22:07:20 in-target: - Echoices:
Jan 29 22:07:20 in-target: [bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------
Jan 29 22:07:20 in-target: Use of uninitialized value $template in exists at /usr/share/perl5/Debconf/Template.pm line 81, <GEN2> line 34004.
Jan 29 22:07:20 in-target: Use of uninitialized value $item in exists at /usr/share/perl5/Debconf/DbDriver/Cache.pm line 39, <GEN2> line 34004.
Jan 29 22:07:20 in-target: Use of uninitialized value $item in exists at /usr/share/perl5/Debconf/DbDriver/Cache.pm line 39, <GEN2> line 34004.
Jan 29 23:07:27 in-target: Henta 2 293MB på 49min 32s (771kB/s)
[...]
Jan 29 23:28:31 in-target: Setter opp wnorwegian (2.0.10-3.2) ...
Jan 29 23:28:31 in-target: ** dc_debconf_select: wordlist, medium, dictionaries-common/default-wordlist
Jan 29 23:28:31 in-target:    new choices:[bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
Jan 29 23:28:31 in-target:    old choices:[bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
Jan 29 23:28:31 in-target: update-default-wordlist: Removing /var/cache/dictionaries-common/flag-wordlist-new
Jan 29 23:28:31 in-target: Setter opp wordnet-base (1:3.0-18) ...
[...]
Jan 29 23:29:09 in-target: Setter opp iamerican (3.1.20.0-7) ...
Jan 29 23:29:09 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:09 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:09 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:09 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:09 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:09 in-target:  * Packages with elanguages: 
Jan 29 23:29:09 in-target: - Choices:
Jan 29 23:29:09 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:09 in-target: - Echoices:
Jan 29 23:29:09 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:09 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:09 in-target: update-default-ispell: Removing /var/cache/dictionaries-common/flag-ispell-new
Jan 29 23:29:10 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:10 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:10 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:10 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:10 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:10 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:10 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:10 in-target: ispell-autobuildhash: Processing 'catala' dict
Jan 29 23:29:10 in-target: ispell-autobuildhash: Processing 'dutch' dict
Jan 29 23:29:10 in-target: ispell-autobuildhash: Processing 'espa~nol' dict
Jan 29 23:29:10 in-target: ispell-autobuildhash: Processing 'ngerman' dict
Jan 29 23:29:11 in-target: ispell-autobuildhash: Processing 'portugues' dict
Jan 29 23:29:11 debian-edu-fsautoresize: overfull /usr, resizing to 7258521
Jan 29 23:29:11 in-target: Setter opp ispell (3.1.20.0-7) ...
Jan 29 23:29:12 in-target: Setter opp inorwegian (2.0.10-3.2) ...
Jan 29 23:29:12 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:12 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:12 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:12 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:12 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:12 in-target:  * Packages with elanguages: 
Jan 29 23:29:12 in-target: - Choices:
Jan 29 23:29:12 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:12 in-target: - Echoices:
Jan 29 23:29:12 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:12 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:12 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:12 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:12 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:12 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:12 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:12 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:12 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:12 in-target: Setter opp libservlet2.4-java (5.0.30-8) ...
[...]
Jan 29 23:29:25 in-target: Setter opp icatalan (0.6-10) ...
Jan 29 23:29:26 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:26 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:26 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:26 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:26 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:26 in-target:  * Packages with elanguages: 
Jan 29 23:29:26 in-target: - Choices:
Jan 29 23:29:26 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:26 in-target: - Echoices:
Jan 29 23:29:26 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:26 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:26 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:26 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:26 in-target: Setter opp ibritish (3.1.20.0-7) ...
Jan 29 23:29:26 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:26 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:26 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:26 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:26 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:26 in-target:  * Packages with elanguages: 
Jan 29 23:29:26 in-target: - Choices:
Jan 29 23:29:26 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:26 in-target: - Echoices:
Jan 29 23:29:26 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:26 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:26 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:26 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:26 in-target: Setter opp iportuguese (20091013-2) ...
Jan 29 23:29:26 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:26 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:26 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:26 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:26 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:26 in-target:  * Packages with elanguages: 
Jan 29 23:29:26 in-target: - Choices:
Jan 29 23:29:26 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:26 in-target: - Echoices:
Jan 29 23:29:26 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:26 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:26 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:26 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:26 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:27 in-target: Setter opp ifinnish-large (0.7-17.2) ...
Jan 29 23:29:27 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:27 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:27 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:27 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:27 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:27 in-target:  * Packages with elanguages: 
Jan 29 23:29:27 in-target: - Choices:
Jan 29 23:29:27 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:27 in-target: - Echoices:
Jan 29 23:29:27 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:27 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:27 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:27 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:27 in-target: Setter opp iitalian (1:2.3-2) ...
Jan 29 23:29:27 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:27 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:27 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:27 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:27 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:27 in-target:  * Packages with elanguages: 
Jan 29 23:29:27 in-target: - Choices:
Jan 29 23:29:27 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:27 in-target: - Echoices:
Jan 29 23:29:27 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:27 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:27 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:27 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:27 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:27 in-target: Setter opp ingerman (20091006-3) ...
Jan 29 23:29:28 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:28 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:28 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:28 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:28 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:28 in-target:  * Packages with elanguages: 
Jan 29 23:29:28 in-target: - Choices:
Jan 29 23:29:28 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:28 in-target: - Echoices:
Jan 29 23:29:28 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:28 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:28 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:28 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:28 in-target: Setter opp ifrench (1.4-25) ...
Jan 29 23:29:28 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:28 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:28 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:28 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:28 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:28 in-target:  * Packages with elanguages: 
Jan 29 23:29:28 in-target: - Choices:
Jan 29 23:29:28 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:28 in-target: - Echoices:
Jan 29 23:29:28 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:28 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:28 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:28 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:28 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:28 in-target: Setter opp ispanish (1.10-9) ...
Jan 29 23:29:29 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:29 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:29 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:29 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:29 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:29 in-target:  * Packages with elanguages: 
Jan 29 23:29:29 in-target: - Choices:
Jan 29 23:29:29 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:29 in-target: - Echoices:
Jan 29 23:29:29 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:29 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:29 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:29 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:29 in-target: Setter opp idutch (1:1.10-4) ...
Jan 29 23:29:29 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:29 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:29 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:29 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:29 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:29 in-target:  * Packages with elanguages: 
Jan 29 23:29:29 in-target: - Choices:
Jan 29 23:29:29 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:29 in-target: - Echoices:
Jan 29 23:29:29 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:29 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:29 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:29 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:29 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:30 in-target: Setter opp idanish (1.6.18-1.1) ...
Jan 29 23:29:30 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:30 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:30 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:30 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:30 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:30 in-target:  * Packages with elanguages: 
Jan 29 23:29:30 in-target: - Choices:
Jan 29 23:29:30 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:30 in-target: - Echoices:
Jan 29 23:29:30 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:30 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:30 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:30 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:30 in-target: Setter opp ibrazilian (3.0~beta4-13) ...
Jan 29 23:29:30 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
Jan 29 23:29:30 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:30 in-target:    old choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), 
Jan 29 23:29:30 in-target: -------- [dico_get_all_choices] start --------
Jan 29 23:29:30 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
Jan 29 23:29:30 in-target:  * Packages with elanguages: 
Jan 29 23:29:30 in-target: - Choices:
Jan 29 23:29:30 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:30 in-target: - Echoices:
Jan 29 23:29:30 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
Jan 29 23:29:30 in-target: -------- [dico_get_all_choices] end --------
Jan 29 23:29:30 in-target:  - hunspell-emacsen: Adding " -d es" to "-B"
Jan 29 23:29:30 in-target:  - hunspell-emacsen: Adding " -d ca_ES" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d espa~nol" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d catala" to "-B"
Jan 29 23:29:30 in-target:  - ispell-emacsen: Adding " -d dansk" to "-C"
Jan 29 23:29:30 in-target: Setter opp akonadi-server (1.2.1-1+b1) ...
[...]

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Sat, 30 Jan 2010 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Sat, 30 Jan 2010 18:12:06 GMT) Full text and rfc822 format available.

Message #40 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Sat, 30 Jan 2010 19:06:11 +0100
2010/1/30 Petter Reinholdtsen <pere@hungry.com>:
> [Agustin Martin]
>
>> If the problem is reproduced, that may give us information.
>
> I added DICT_COMMON_DEBUG=1 to the installation, and got these
> dictionary-common related messages in the installation syslog.  I hope
> this help.

Thanks a lot, this looks very interesting.

I do not speak norwegian, but from what I think is happening, seems
that installation is done in two different apt runs, in the first one
aspell dicts and dictionaries-common are installed and fully
configured with no ispell dictionaries and wordlists present and is in
a second run where  ispell dictionaries and wordlists are installed,
but all the language selection stuff is already done. This is the
problem, dictionaries-common and ispell dictionaries/wordlists must be
installed in the same apt run for things to work properly..

IIRC, this is not the way debian-installer currently works, of I would
have been flooded with related bug reports.

One curiosity, which are values for dictionaries-common/default-ispell
and dictionaries-common/default-wordlist. I guess that first is set to
manual (second should be set to Bokmal after the debconf question)
instead of being set to an actual dictionary.

Also I see that you install 13 ispell dictionaries, not sure if that
is what you want, and seems that some ancient localization stuff
(localization-config?) is flying around.

Please confirm if this is what is happening.

Thanks again for the feedback. Details follow,

Preconfiguring the initial run ...
> [...]
> Jan 29 21:15:39 in-target: Forhåndsoppsetter pakker ...
> Jan 29 21:15:39 in-target: dictionaries-common: (re)configuring ...
> Jan 29 21:15:39 in-target: LANG is set to nb_NO.UTF-8
> Jan 29 21:15:39 in-target: ** dc_debconf_select: ispell, critical, dictionaries-common/default-ispell
> Jan 29 21:15:39 in-target:    new choices:[]
> Jan 29 21:15:39 in-target:    old choices:[]
> Jan 29 21:15:39 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-ispell
> Jan 29 21:15:39 in-target:    Real new Choices-C: , Manual symlinks setting
> Jan 29 21:15:39 in-target:    Real new value: bokmål (Bokmal Norwegian)
> Jan 29 21:15:39 in-target: ---
> Jan 29 21:15:39 in-target: ** dc_debconf_select: wordlist, critical, dictionaries-common/default-wordlist
> Jan 29 21:15:39 in-target:    new choices:[]
> Jan 29 21:15:39 in-target:    old choices:[]
> Jan 29 21:15:39 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-wordlist
> Jan 29 21:15:39 in-target:    Real new Choices-C: , Manual symlinks setting
> Jan 29 21:15:39 in-target:    Real new value:
> Jan 29 21:15:39 in-target: ---
> Jan 29 21:15:39 in-target: dictionaries-common: (re)configuring ...Done.

This seems done in an initial apt run, without any wordlist or ispell
dictionary in the installation list for that run. That way,
dictionaries-common has no possibility of knowing through the debconf
information which ispell dictionaries or wordlists are to be
installed. Furthermore, ispell value seems to have been preseeded some
way (Is ancient localization-config used?).

> Jan 29 21:16:45 in-target: Setter opp dictionaries-common (1.4.0) ...
> Jan 29 21:16:45 in-target: dictionaries-common: (re)configuring ...

Now dictionaries-common is configured, no ispell dictionaries or
wordlists still unpacked.

> Jan 29 21:16:45 in-target: ** dc_debconf_select: ispell, critical, dictionaries-common/default-ispell
> Jan 29 21:16:45 in-target:    new choices:[]
> Jan 29 21:16:45 in-target:    old choices:[]
> Jan 29 21:16:45 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-ispell
> Jan 29 21:16:45 in-target:    Real new Choices-C: , Manual symlinks setting
> Jan 29 21:16:45 in-target:    Real new value: bokmål (Bokmal Norwegian)
> Jan 29 21:16:45 in-target: ---
> Jan 29 21:16:45 in-target: ** dc_debconf_select: wordlist, critical, dictionaries-common/default-wordlist
> Jan 29 21:16:45 in-target:    new choices:[]
> Jan 29 21:16:45 in-target:    old choices:[]
> Jan 29 21:16:45 in-target: ** dictionaries-common.config: Checking some real values for dictionaries-common/default-wordlist
> Jan 29 21:16:45 in-target:    Real new Choices-C: , Manual symlinks setting
> Jan 29 21:16:45 in-target:    Real new value:
> Jan 29 21:16:45 in-target: ---
> Jan 29 21:16:45 in-target: dictionaries-common: (re)configuring ...Done.

Still no ispell dictionaries or wordlists installed

> Jan 29 21:16:45 in-target: update-default-ispell: No ispell elements installed. Manual forced

No ispell dictionaries installed, set to manual mode.

Now another apt pre-configuration run starts, this time with all
wordlists and ispell dictionaries, in a separate run from that where
dictionaries-common was installed and configured.. Everything is now
shown properly, but since value set for wordlists is empty, and there
is no match for it priority is set to critical and question asked. I
guess there was no question for ispell dictionaries because there was
a value for it, however was set to manual because no ispell dictionary
was still present. That is surely not what you want.

For wordlists, proposed value is Bokmaal because it goes first
alphabetically, but that is just luck.
 If there were no value for ispell dictionary first entry "american
(American English)" would have been selected.

> ..  22:07:17 in-target: Forhåndsoppsetter pakker ...
> Jan 29 22:07:19 in-target: ** dc_debconf_select: ispell, medium, dictionaries-common/default-ispell
> Jan 29 22:07:19 in-target:    new choices:[american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-),
> Jan 29 22:07:19 in-target:    old choices:[]
> Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] start --------
> Jan 29 22:07:19 in-target:  * Packages with languages: iamerican, ibrazilian, ibritish, icatalan, idanish, idutch, ifinnish-large, ifrench, iitalian, ingerman, inorwegian, iportuguese, ispanish
> Jan 29 22:07:19 in-target:  * Packages with elanguages:
> Jan 29 22:07:19 in-target: - Choices:
> Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
> Jan 29 22:07:19 in-target: - Echoices:
> Jan 29 22:07:19 in-target: [american (American English), bokmål (Bokmal Norwegian), british (British English), castellano8 (Spanish 8 bit), catala8 (Catalan 8 bits), danish (Den Store Danske Ordliste), deutsch (New German -tex mode-), deutsch (New Ge
> Jan 29 22:07:19 in-target: -------- [dico_get_all_choices] end --------
[...]
> Jan 29 22:07:20 in-target: ** dc_debconf_select: wordlist, critical, dictionaries-common/default-wordlist
> Jan 29 22:07:20 in-target:    new choices:[bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
> Jan 29 22:07:20 in-target:    old choices:[]
> Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] start --------
> Jan 29 22:07:20 in-target:  * Packages with languages: wnorwegian
> Jan 29 22:07:20 in-target:  * Packages with elanguages:
> Jan 29 22:07:20 in-target: - Choices:
> Jan 29 22:07:20 in-target: [bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
> Jan 29 22:07:20 in-target: - Echoices:
> Jan 29 22:07:20 in-target: [bokmål (Bokmal Norwegian), nynorsk (Standard Norwegian)]
> Jan 29 22:07:20 in-target: -------- [dico_get_all_choices] end --------

and now ispell dictionaries and wordlists are configured,

> Jan 29 23:28:31 in-target: Setter opp wnorwegian (2.0.10-3.2) ...
> [...]
> Jan 29 23:29:09 in-target: Setter opp iamerican (3.1.20.0-7) ...

Cheers,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Sat, 30 Jan 2010 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Sat, 30 Jan 2010 18:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 566912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Sat, 30 Jan 2010 19:40:40 +0100
[Agustin Martin]
> I do not speak norwegian, but from what I think is happening, seems
> that installation is done in two different apt runs,

That is correct.  I had a look at the log, and the first run is when
debian-edu-install is installed into the new system, and the second is
when tasksel install the rest.  debian-edu-install take care of the
preseeding, and have to be installed before tasksel installs the rest.

The cause of this problem seem to be that recommended packages are
installed by debian-installer by default in Squeeze, for the first
time.  In Lenny, dictionaries-common was not installed when
debian-edu-install was installed.  No idea exactly what is pulling in
dictionaries-common, but I notice aspell, aspell-en, libaspell15 and
hunspell-en-us are installed together with it.

This is the complete set of packages being installed in that first run
(I have no idea why so many are pulled in by debian-edu-install for
Squeeze):

  aspell aspell-en bind9-host ca-certificates cfengine2 consolekit cpp
  cpp-4.3 dbus dbus-x11 debconf-utils debian-edu-artwork
  debian-edu-config debian-edu-install defoma desktop-profiles
  devicekit-disks dictionaries-common discover discover-data
  dosfstools esound-clients esound-common etcinsvk expect fontconfig
  fontconfig-config fuse-utils gcc-4.3-base gconf2 gconf2-common
  geoip-database gnome-keyring gnome-mime-data gnome-mount gvfs hal
  hal-info hdparm hicolor-icon-theme hunspell-en-us laptop-detect
  libalgorithm-annotate-perl libalgorithm-diff-perl libapp-cli-perl
  libapr1 libaprutil1 libart-2.0-2 libasound2 libaspell15 libatasmart4
  libatk1.0-0 libatk1.0-data libaudiofile0 libavahi-client3
  libavahi-common-data libavahi-common3 libavahi-glib1 libbind9-50
  libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common
  libcairo-perl libcairo2 libcap2 libck-connector0
  libclass-accessor-perl libclass-autouse-perl
  libclass-data-inheritable-perl libconvert-asn1-perl libcups2
  libdata-hierarchy-perl libdatrie1 libdbus-1-3 libdbus-glib-1-2
  libdigest-hmac-perl libdigest-sha1-perl libdirectfb-1.2-0
  libdiscover2 libdns53 libdrm-intel1 libdrm2 libeggdbus-1-0
  libemail-address-perl libemail-find-perl libemail-valid-perl
  libenchant1c2a libesd0 libexpat1 libexporter-lite-perl
  libextutils-autoinstall-perl libfam0 libfile-chdir-perl
  libfile-spec-perl libfilesys-df-perl libfont-afm-perl
  libfont-freetype-perl libfontconfig1 libfontenc1 libfreetype6
  libfreezethaw-perl libfuse2 libgail18 libgconf2-4 libgcr0 libgdu0
  libgeoip1 libgl1-mesa-dri libgl1-mesa-glx libglade2-0 libglib-perl
  libglib2.0-0 libglib2.0-data libgmp3c2 libgnome-keyring0 libgnome2-0
  libgnome2-canvas-perl libgnome2-common libgnome2-perl
  libgnome2-vfs-perl libgnomecanvas2-0 libgnomecanvas2-common
  libgnomeui-0 libgnomeui-common libgnomevfs2-0 libgnomevfs2-common
  libgnomevfs2-extra libgp11-0 libgstreamer0.10-0 libgtk2-perl
  libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libgudev-1.0-0
  libhal-storage1 libhal1 libhtml-format-perl libhtml-fromtext-perl
  libhtml-parser-perl libhtml-tagset-perl libhtml-tree-perl
  libhunspell-1.2-0 libice6 libidl0 libidn11 libio-digest-perl
  libio-socket-ssl-perl libisc50 libisccc50 libisccfg50 libjasper1
  libjpeg62 liblist-moreutils-perl liblocale-maketext-lexicon-perl
  liblwres50 libmailtools-perl libmpfr1ldbl libnautilus-extension1
  libneon27-gnutls libnet-dns-perl libnet-domain-tld-perl
  libnet-ip-perl libnet-ldap-perl libnet-libidn-perl
  libnet-ssleay-perl libnotify1 libntfs-3g54 libntfs10 liborbit2
  libpam-ck-connector libpam-gnome-keyring libpango-perl libpango1.0-0
  libpango1.0-common libparted1.8-12 libpath-class-perl
  libperlio-eol-perl libperlio-via-dynamic-perl
  libperlio-via-symlink-perl libpixman-1-0 libpng12-0
  libpolkit-agent-1-0 libpolkit-backend-1-0 libpolkit-gobject-1-0
  libregexp-common-perl libserf-0-0 libsexy2 libsgutils2-2 libsm6
  libsmbclient libstartup-notification0 libsub-name-perl
  libsvn-mirror-perl libsvn-perl libsvn-simple-perl libsvn1 libsysfs2
  libtalloc2 libterm-readkey-perl libtext-unaccent-perl libthai-data
  libthai0 libtiff4 libtimedate-perl libts-0.0-0
  libuniversal-require-perl liburi-perl libvoikko1 libwbclient0
  libwnck-common libwnck22 libwww-perl libx11-6 libx11-data libx86-1
  libxau6 libxaw7 libxcb-atom1 libxcb-aux0 libxcb-event1
  libxcb-render-util0 libxcb-render0 libxcb1 libxcomposite1
  libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3 libxfont1
  libxft2 libxi6 libxinerama1 libxml2 libxmu6 libxmuu1 libxpm4
  libxrandr2 libxrender1 libxres1 libxt6 libxtst6 libxv1 libxxf86dga1
  libxxf86vm1 libyaml-syck-perl lsof make memtest86+ mtools ng-utils
  notification-daemon ntfs-3g ntfsprogs openssl patch perl
  perl-modules pm-utils policykit-1 policykit-1-gnome powermgmt-base
  psmisc radeontool resolvconf sgml-base shared-mime-info ssl-cert
  subversion svk syslinux syslinux-common tcl8.5 tftp tsconf
  ttf-dejavu-core ucf vbetool x-ttcidfont-conf x11-common x11-utils
  xfonts-encodings xfonts-utils xml-core xresprobe

Any suggestions how to avoid the problem?

BTW: I do not believe localization-config is involved, as it should be
     a no-op in Squeeze.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Sun, 31 Jan 2010 13:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Sun, 31 Jan 2010 13:12:08 GMT) Full text and rfc822 format available.

Message #50 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Cc: agustin.martin@upm.es
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Sun, 31 Jan 2010 14:10:04 +0100
2010/1/30 Petter Reinholdtsen <pere@hungry.com>:
> [Agustin Martin]
>> I do not speak norwegian, but from what I think is happening, seems
>> that installation is done in two different apt runs,
>
> That is correct.  I had a look at the log, and the first run is when
> debian-edu-install is installed into the new system, and the second is
> when tasksel install the rest.  debian-edu-install take care of the
> preseeding, and have to be installed before tasksel installs the rest.
>
> The cause of this problem seem to be that recommended packages are
> installed by debian-installer by default in Squeeze, for the first
> time.  In Lenny, dictionaries-common was not installed when
> debian-edu-install was installed.  No idea exactly what is pulling in
> dictionaries-common, but I notice aspell, aspell-en, libaspell15 and
> hunspell-en-us are installed together with it.

I am at a lenny box and cannot properly check now. If dependencies did
not change too much from lenny to squeeze, I think the final
recommends that is triggering the pull is that libhunspell-1.2-0
recommends (myspell-en | myspell dictionary)  and that  libaspell15
recomends (aspell-en|aspell dictionary).  What makes it loaded in
lenny is a dependency chain like

libnotify1 -> notification-daemon -> libsexy2 -> libenchant1c2a ->
(libaspell15,libhunspell-1.2-0)

I did not go above libnotify1 and did not look for recommends, so may
be other branches.  Will try next week in a real sid box.

> This is the complete set of packages being installed in that first run
> (I have no idea why so many are pulled in by debian-edu-install for
> Squeeze):

Seems debian-edu-config dependencies/recommends what is pulling most.
They seem indeed much more than needed for debian-edu configuration.

> Any suggestions how to avoid the problem?

Not now. I first have to check in a sid box and see. How is debian-edu
integrated into a normal installation? Is installed as a normal
package before tasksel is run?

> BTW: I do not believe localization-config is involved, as it should be
>     a no-op in Squeeze.

As a matter of fact, that was already a no-op before lenny. Just
mentioned it because I do not know how debian-edu works, and wanted to
discard that ancient stuff fiddling around.

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Sun, 31 Jan 2010 13:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Sun, 31 Jan 2010 13:36:04 GMT) Full text and rfc822 format available.

Message #55 received at 566912@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Sun, 31 Jan 2010 14:34:15 +0100
[Agustin Martin]
> As a matter of fact, that was already a no-op before lenny. Just
> mentioned it because I do not know how debian-edu works, and wanted
> to discard that ancient stuff fiddling around.

Actually, in Lenny localization-config configured the language in kdm.
It is the only thing, as far as I have figured out.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Wed, 10 Feb 2010 15:45:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Wed, 10 Feb 2010 15:45:33 GMT) Full text and rfc822 format available.

Message #60 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Wed, 10 Feb 2010 16:43:06 +0100
On Sun, Jan 31, 2010 at 02:10:04PM +0100, Agustin Martin wrote:
> I am at a lenny box and cannot properly check now. If dependencies did
> not change too much from lenny to squeeze, I think the final
> recommends that is triggering the pull is that libhunspell-1.2-0
> recommends (myspell-en | myspell dictionary)  and that  libaspell15
> recomends (aspell-en|aspell dictionary).  What makes it loaded in
> lenny is a dependency chain like
> 
> libnotify1 -> notification-daemon -> libsexy2 -> libenchant1c2a ->
> (libaspell15,libhunspell-1.2-0)
> 
> I did not go above libnotify1 and did not look for recommends, so may
> be other branches.  Will try next week in a real sid box.

While still did not fully look at this in a sid box, similar chain seems
to happen. On the one hand libenchant requires aspell and hunspell libs
perverting enchant purpose

[#232335: Multiple engine requirement perverts purpose of enchant]

on other hand aspell and hunspell libs recommends dictionaries (thus pulling
dictionaries-common). And combined with all that, some of the packages
are linked to libenchant just to provide an additional functionality, but
would have worked well without it (however, that linking pulls libenchant as
dependency).

All that said, I do not see an easy way of addressing this problem by
breaking/fixing above dependency chain.

However, there is a possible alternative way of handling this. I had in mind
for some time some way or re-running language-based default value selection
when ispell dictionaries or wordlists are installed for the first time, even
if dictionaries-common is already installed, so they get a reasonable value.
I have doing some of the preliminary stuff and hope to make this work. If
so, this seems the best way to go. Will let you know about this.

Cheers,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Agustin Martin Domingo <agmartin@debian.org>:
Bug#566912; Package dictionaries-common. (Fri, 12 Feb 2010 11:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Agustin Martin Domingo <agmartin@debian.org>. (Fri, 12 Feb 2010 11:42:07 GMT) Full text and rfc822 format available.

Message #65 received at 566912@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 566912@bugs.debian.org
Subject: Re: Bug#566912: dictionaries-common: How can one avoid the wordlist question when debconf priority level is critical?
Date: Fri, 12 Feb 2010 12:36:56 +0100
On Wed, Feb 10, 2010 at 04:43:06PM +0100, Agustin Martin wrote:
> However, there is a possible alternative way of handling this. I had in mind
> for some time some way or re-running language-based default value selection
> when ispell dictionaries or wordlists are installed for the first time, even
> if dictionaries-common is already installed, so they get a reasonable value.
> I have doing some of the preliminary stuff and hope to make this work. If
> so, this seems the best way to go. Will let you know about this.

Seems I made this work. I have been testing it in a chroot and everything
seems to work fine. On Sunday a new dictionaries-common (1.5.0) will reach 
sid, so this can be tested in real life.

This does not yet change priority, I prefer for now receiving all sort
of complaints if things do not work as expected, although critical priority
should now be used only in case of error (cross fingers). This is something 
to be changed in future uploads, once I consider changes tested. 

Let me know if things are now working as expected.

Regards,

-- 
Agustin




Reply sent to Agustin Martin Domingo <agmartin@debian.org>:
You have taken responsibility. (Mon, 22 Feb 2010 16:36:04 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Mon, 22 Feb 2010 16:36:04 GMT) Full text and rfc822 format available.

Message #70 received at 566912-close@bugs.debian.org (full text, mbox):

From: Agustin Martin Domingo <agmartin@debian.org>
To: 566912-close@bugs.debian.org
Subject: Bug#566912: fixed in dictionaries-common 1.5.1
Date: Mon, 22 Feb 2010 16:32:47 +0000
Source: dictionaries-common
Source-Version: 1.5.1

We believe that the bug you reported is fixed in the latest version of
dictionaries-common, which is due to be installed in the Debian FTP archive:

dictionaries-common-dev_1.5.1_all.deb
  to main/d/dictionaries-common/dictionaries-common-dev_1.5.1_all.deb
dictionaries-common_1.5.1.dsc
  to main/d/dictionaries-common/dictionaries-common_1.5.1.dsc
dictionaries-common_1.5.1.tar.gz
  to main/d/dictionaries-common/dictionaries-common_1.5.1.tar.gz
dictionaries-common_1.5.1_all.deb
  to main/d/dictionaries-common/dictionaries-common_1.5.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566912@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Agustin Martin Domingo <agmartin@debian.org> (supplier of updated dictionaries-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Feb 2010 17:33:53 +0100
Source: dictionaries-common
Binary: dictionaries-common dictionaries-common-dev
Architecture: source all
Version: 1.5.1
Distribution: unstable
Urgency: low
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Changed-By: Agustin Martin Domingo <agmartin@debian.org>
Description: 
 dictionaries-common - Common utilities for spelling dictionary tools
 dictionaries-common-dev - Developer tools and Policy for spelling dictionary tools
Closes: 566912
Changes: 
 dictionaries-common (1.5.1) unstable; urgency=low
 .
   * dc-debconf-select.pl: Lower to 'high' priority to be used
     when problems appear. Sometimes this question needs to be
     overridable (Closes: #566912).
   * Use dico_ prefix in some more exported functions.
   * DictionariesCommon.pm:
     - Make {get,set}sysdefault work for both classes.
Checksums-Sha1: 
 f823ce61159bb6d7d653378c6e846b30201fcab1 1128 dictionaries-common_1.5.1.dsc
 49c2ae1dc2f5fb9b5a21e5adc40df01efaf32ece 304811 dictionaries-common_1.5.1.tar.gz
 f101de763a9c34c505ea3c02aa13b5b4558f40be 295332 dictionaries-common_1.5.1_all.deb
 9513a6114a588ef50967f0d3abae7159c0ec48ac 128820 dictionaries-common-dev_1.5.1_all.deb
Checksums-Sha256: 
 d8ec5a2c140d766406b7cf9da2ff1a3cf6a0edf3b6b5f0ec2e7362188692abcb 1128 dictionaries-common_1.5.1.dsc
 487777322cef7ccdbac81118c18904d9d2021ad5f93b1e582c509ed55868d209 304811 dictionaries-common_1.5.1.tar.gz
 b50885ae0abbb6c0db6925b9f8a9f4a9d9768e1812911def81aded7c184eb82d 295332 dictionaries-common_1.5.1_all.deb
 403f4e86a9c85dc63f5f791771c3f737c338fcc9ab53b6659e65b9f672c8e0a5 128820 dictionaries-common-dev_1.5.1_all.deb
Files: 
 a8dd091fc9bbba2fb3eb017a4bb780b9 1128 text optional dictionaries-common_1.5.1.dsc
 a6d49d299764529a820397e5352c2dc1 304811 text optional dictionaries-common_1.5.1.tar.gz
 0ea09f833693dd344d086df9330692ff 295332 text optional dictionaries-common_1.5.1_all.deb
 106170404d0ccc03366de8e0b8cdbe0c 128820 devel extra dictionaries-common-dev_1.5.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLgq6lTShHqj72DpwRApXOAJ9CTcVhIhl4olCFcXYozbC/WsE/5gCggNeC
xtsmUVGcyrq8DL9yWqxDbiQ=
=bI0c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Apr 2010 07:30:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:13:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.